#
# spec file for package mplus-fonts
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mplus-fonts
Version:        20230116
Release:        1.1
Summary:        Font set incorporating all Kanji until level 2, and latin glyphs
License:        OFL-1.1
Group:          System/X11/Fonts
URL:            https://mplusfonts.github.io/
Source0:        MPLUS_FONTS-%{version}.tar.xz
Requires:       mplus1-fonts
Requires:       mplus2-fonts
BuildRequires:  fontpackages-devel
BuildRequires:  xz
BuildArch:      noarch

%description
This is a metapackage containing the non-variable M PLUS 1/2 fonts.

%package -n mplus1-fonts
Summary:        Non-variable M PLUS 1 Sans Serif font
Group:          System/X11/Fonts
%reconfigure_fonts_prereq

%description -n mplus1-fonts
M PLUS 1 is a Sans Serif font with 9 weights from Thin to Black,
supporting GF Latin Plus glyph set with 5,700+ Kanjis for Japanese.

%package -n mplus1-variable-fonts
Summary:        Variable M PLUS 1 Sans Serif font
Group:          System/X11/Fonts
%reconfigure_fonts_prereq

%description -n mplus1-variable-fonts
M PLUS 1 is a Sans Serif variable font, supporting GF Latin Plus
glyph set with 5,700+ Kanjis for Japanese.

%package -n mplus2-fonts
Summary:        Non-variable M PLUS 2 Sans Serif font
Group:          System/X11/Fonts
%reconfigure_fonts_prereq

%description -n mplus2-fonts
M PLUS 2 is a Sans Serif font with 9 weights from Thin to Black,
supporting GF Latin Plus glyph set with 5,700+ Kanjis for Japanese.

%package -n mplus2-variable-fonts
Summary:        Variable M PLUS 2 Sans Serif font
Group:          System/X11/Fonts
%reconfigure_fonts_prereq

%description -n mplus2-variable-fonts
M PLUS 2 is a Sans Serif variable font, supporting GF Latin Plus
glyph set with 5,700+ Kanjis for Japanese.

%package -n mplus1-code-fonts
Summary:        Non-variable M PLUS 1 Code font
Group:          System/X11/Fonts
%reconfigure_fonts_prereq

%description -n mplus1-code-fonts
7 weights from Thin to Bold. A monospaced font combining
full-width Japanese glyphs (shared with M PLUS 1) and half-width
alphanumeric glyphs (shared with M PLUS Code Latin 50 described below).

%package -n mplus1-code-variable-fonts
Summary:        Variable M PLUS 1 Code font
Group:          System/X11/Fonts
%reconfigure_fonts_prereq

%description -n mplus1-code-variable-fonts
A monospaced variable font combining full-width Japanese glyphs
(shared with M PLUS 1) and half-width alphanumeric glyphs
(shared with M PLUS Code Latin 50 described below).

%package -n mplus-code-latin50-fonts
Summary:        Non-variable M PLUS Code Latin 60 font
Group:          System/X11/Fonts
%reconfigure_fonts_prereq

%description -n mplus-code-latin50-fonts
A monospaced font with 7 weights from Thin to Bold.
M PLUS Code Latin 50 has a 50% character width.

%package -n mplus-code-latin60-fonts
Summary:        Non-variable M PLUS Code Latin 60 font
Group:          System/X11/Fonts
%reconfigure_fonts_prereq

%description -n mplus-code-latin60-fonts
A monospaced font with 7 weights from Thin to Bold.
M PLUS Code Latin 60 has a 60% character width.

%package -n mplus-code-latin-variable-fonts
Summary:        Variable M PLUS Code Latin font
Group:          System/X11/Fonts
%reconfigure_fonts_prereq

%description -n mplus-code-latin-variable-fonts
A monospaced variable font that can be adjusted for both
weight and width.

%prep
%autosetup -n MPLUS_FONTS-%{version}

%build

%install
install -Dm 644 -t %{buildroot}%{_ttfontsdir} fonts/ttf/*.ttf

%reconfigure_fonts_scriptlets -n mplus1-fonts
%reconfigure_fonts_scriptlets -n mplus1-variable-fonts
%reconfigure_fonts_scriptlets -n mplus2-fonts
%reconfigure_fonts_scriptlets -n mplus2-variable-fonts
%reconfigure_fonts_scriptlets -n mplus1-code-fonts
%reconfigure_fonts_scriptlets -n mplus1-code-variable-fonts
%reconfigure_fonts_scriptlets -n mplus-code-latin50-fonts
%reconfigure_fonts_scriptlets -n mplus-code-latin60-fonts
%reconfigure_fonts_scriptlets -n mplus-code-latin-variable-fonts

%files
%license OFL.txt

%files -n mplus1-fonts
%dir %{_ttfontsdir}
%{_ttfontsdir}/Mplus1-*.ttf

%files -n mplus1-variable-fonts
%dir %{_ttfontsdir}
%{_ttfontsdir}/MPLUS1[wght].ttf

%files -n mplus2-fonts
%dir %{_ttfontsdir}
%{_ttfontsdir}/Mplus2-*.ttf

%files -n mplus2-variable-fonts
%dir %{_ttfontsdir}
%{_ttfontsdir}/MPLUS2[wght].ttf

%files -n mplus1-code-fonts
%dir %{_ttfontsdir}
%{_ttfontsdir}/Mplus1Code-*.ttf

%files -n mplus1-code-variable-fonts
%dir %{_ttfontsdir}
%{_ttfontsdir}/MPLUS1Code[wght].ttf

%files -n mplus-code-latin50-fonts
%dir %{_ttfontsdir}
%{_ttfontsdir}/MplusCodeLatin50-*.ttf

%files -n mplus-code-latin60-fonts
%dir %{_ttfontsdir}
%{_ttfontsdir}/MplusCodeLatin60-*.ttf

%files -n mplus-code-latin-variable-fonts
%dir %{_ttfontsdir}
%{_ttfontsdir}/MPLUSCodeLatin[wdth,wght].ttf

%changelog
* Wed Jan 18 2023 Gordon Leung <pirateclip@protonmail.com>
- Updated to most recent commit (20230116)
  * Versions no longer provided by upstream so switched to date versioning
  * _service created to get repository tarball and commit date for versioning
  * Website got moved to https://mplusfonts.github.io/
  * License got changed to OFL-1.1
  * Now there are four families being offered along with variable
  variants so there are now accompanying subpackages for them
  - M PLUS 1: mplus1-fonts and mplus1-variable-fonts
  - M PLUS 2: mplus2-fonts and mplus2-variable-fonts
  - M PLUS 1 Code: mplus1-code-fonts and mplus1-code-variable-fonts
  - M PLUS Code Latin (which has 50%% and 60%% character width versions):
  * M PLUS Code Latin 50: mplus-code-latin50-fonts
  * M PLUS Code Latin 60: mplus-code-latin60-fonts
  * M PLUS Code Variable: mplus-code-latin-variable-fonts
  - There is only one variable font as its character width can be adjusted
  * mplus-fonts package will now install mplus1-fonts and mplus2-fonts
  * See https://mplusfonts.github.io/ for more details
* Sat Aug 15 2020 hella <scythe041@gmail.com>
- Updated to testflight 063a
  * Added glyphs from full width Roman numerals U+2160 to U+217F for fixed
    width fonts M+ M and MN.
  * Fixed the problem that some symbols are not displayed during vertical
    writing.
  * Added the glyphs from Box Drawing U+2504 to U+250B.
* Sun Mar 18 2018 jengelh@inai.de
- Update descriptions.
* Thu Mar 15 2018 ftake@geeko.jp
- update to testflight 063
  * new 100 glyphs; the number of kanji glyphs is now 5300
  * new symbol glyphs and surrounding letter glyphs
  * fix kerning of B, D, P, R, y of M+ M Type-2
  * Add U+2260 (NOT EQUAL TO) to M+ M and MN
* Sat Apr 29 2017 ftake@geeko.jp
- update to testflight 062
  * new 100 glyphs; the number of kanji glyphs is now 5200
* Sat Apr 30 2016 ftake@geeko.jp
- update to testflight 061
  * new 100 glyphs; the number of kanji glyphs is now 5100
* Fri Nov 13 2015 ftake@geeko.jp
- update to testflight 060
  * new 100 glyphs; the number of kanji glyphs is 5000
- update to testflight 059
  * new 100 glyphs;
- update the project URLs
* Sun Mar  9 2014 ftake@geeko.jp
- updated to testflight 058
  * new 100 glyphs; contains 4800 kanji glyphs
  * fix the vertical layout problem
- updated to testflight 057
  * new 100 glyphs
* Mon Jul 15 2013 toms@opensuse.org
- updated to testflight 056
  * About 100 characters were added, bringing the total number of
  Kanji glyphs to 4600.
  * Composition of IPA symbols may not work
  * Disabled ligatures U+FB00–U+FB04 in the half-width fixed font.
  * During composition, punctuation marks, sokuon symbol classes etc.
  were not displayed in the correct position
* Tue Apr 16 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Wed Sep 19 2012 ftake@geeko.jp
- updated to testflight 052
  * New 100 glyphs and 4300 kanji glyphs are available in total.
  * This version covers JIS Level 1.
* Mon Aug  6 2012 toms@opensuse.org
- Updated to testflight 051; following changelog is translated
  through Google Translate (slightly shortend and corrected):
  * Amount of characters are now 4200 Chinese glyphs
  * If there is a synthesis of (IPA Extensions)
    is not functioning international phonetic symbols.
  * You have to disable the character uniFB04 Ligature of fixed-width
    font characters, from uniFB00.
  * Fixed a bug is in Kana characters nasal sound, left glyph can
    not be displayed.
  * When using vertical, screws, and gemination punctuation, symbol
    class has gone and is no longer displayed in the correct position.
  * Trouble seems to have occurred to send single-byte characters
    of a fixed-width font under some circumstances.
    If you are, please let us know about the cause or idea, similar cases.
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Wed Jun  6 2012 ftake@geeko.jp
- updated to testflight 049
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Fri Mar 30 2012 pgajdos@suse.com
- SUSE-mplus license
* Wed Sep 28 2011 ftake@geeko.jp
- updated to testflight 042
  * daily-use kanjis are available
* Wed Mar 31 2010 tiwai@suse.de
- updated to testflight 029
- removed unneeded depenency on xorg-x11-devel
* Tue Dec  8 2009 toms@suse.de
- Updated to testflight 027
* Mon Aug  3 2009 toms@suse.de
- Updated to testflight 025
* Sun May 27 2007 toms@suse.de
- First release of TESTFLIGHT 023
